### AUTOUPDATE-OFF: 0 1
%define distroid     openmamba
%define fullversion  %{version}

%define stable_reps  milestone4 milestone4-games milestone4-updates
%define devel_reps   devel devel-games devel-kde4 devel-kernel devel-xorg devel-makedist devel-embedded devel-autodist devel-future devel-java
%define devel_default_reps   devel devel-games

%if "%?_distrib_milestone" != "devel"
   %define branch       stable
   %define milestone    %_distrib_milestone
   %define codename     %{milestone}
%else
   %define branch       devel
   %define milestone    devel
   %define codename     rolling
%endif

Name:          openmamba-release
Version:       2023.8
Release:       1mamba
Summary:       Release files for %{distroid} %{fullversion} %{?codename:(%codename)}
Group:         System/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.mambasoft.it/openmamba/openmamba-release
Source:        http://gitlab.mambasoft.it/openmamba/openmamba-release/v%{version}/openmamba-release-%{version}.tar.bz2
License:       GPL
Obsoletes:     mambaSoft-devel-sc < 2021
Obsoletes:     openmamba-upgrade < 2021
Obsoletes:     bootsplash < 2021
Provides:      openmamba-devel
Obsoletes:     openmamba-devel < 2021
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires(post):gnupg2
Requires(post):chkconfig
#Requires(post):rpm

%description
Release files for %{distroid} %{fullversion} %{?codename:(%codename)}.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d %{buildroot}%{_sysconfdir}/sysconfig
echo "\
%{distroid} release %{fullversion} for %{_target_cpu} %{?codename:(%codename)}" \
   > %{buildroot}%{_sysconfdir}/sysconfig/release

# http://www.freedesktop.org/software/systemd/man/os-release.html
install -d %{buildroot}/usr/lib
cat > %{buildroot}%{_usr}/lib/os-release <<EOF
NAME=%{distroid}
VERSION="%{fullversion}%{?codename: (%codename)}"
ID=%{distroid}
VERSION_ID="%{fullversion}"
PRETTY_NAME="%{distroid} GNU/Linux %{fullversion} for %{_target_cpu}%{?codename: (%codename)}"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:%{distroid}:%{distroid}:%{fullversion}"
HOME_URL="https://openmamba.org/"
BUG_REPORT_URL="https://forum.openmamba.org/"
OPENMAMBA_MILESTONE="%{?milestone:%milestone}"
OPENMAMBA_CODENAME="%{?codename:%codename}"
OPENMAMBA_FORUM_URL="https://forum.openmamba.org/"
OPENMAMBA_GIT_URL="https://git.openmamba.org/openmamba"
EOF
ln -sf ..%{_usr}/lib/os-release %{buildroot}%{_sysconfdir}/os-release

echo "
%{distroid} release %{version} (%{?codename} %{fullversion})
Kernel \r on an \m \

" > %{buildroot}%{_sysconfdir}/issue

cp %{buildroot}%{_sysconfdir}/issue \
   %{buildroot}%{_sysconfdir}/issue.net

cp %{buildroot}%{_sysconfdir}/sysconfig/release \
   %{buildroot}%{_sysconfdir}/%{distroid}-release

cp %{buildroot}%{_sysconfdir}/sysconfig/release \
   %{buildroot}%{_sysconfdir}/system-release

install -d %{buildroot}%{_sysconfdir}/rpm
echo "\
%%_distrib_id %{distroid}
%%_distrib_release %{fullversion}
%%_distrib_milestone %{milestone}
%%_distrib_codename %{codename}
%%_distrib_description %{distroid} %{fullversion}
%%_openmamba_release %{distroid} release %{fullversion} for %{_target_cpu} %{?codename:(%codename)}" \
   > %{buildroot}%{_sysconfdir}/rpm/macros.openmamba_release

%ifnarch x86_64
rm -f %{buildroot}%{_sysconfdir}/yum/repos.d/openmamba-rolling-i586.repo
rm -f %{buildroot}%{_sysconfdir}/yum/repos.d/openmamba-rolling-unstable-i586.repo
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
# Import Mambasoft gpg key if needed
   HOME=/root gpg -q --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Mambasoft >/dev/null 2>&1 || :
  #rpm -q gpg-pubkey-87468781-4bb78410 >/dev/null 2>&1 || \
  #rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Mambasoft
fi
:

%posttrans
# Clean broken alternatives
for r in `seq 1 3`; do
   for l in /etc/alternatives/*; do
      if [ ! -e "$l" ]; then
         /usr/sbin/update-alternatives --remove `basename $l` `readlink -m $l` 2>/dev/null
	  fi
   done
done
:

%files
%defattr(-,root,root)
%{_bindir}/%{distroid}-release
%{_datadir}/openmamba/pkggroups.db
%dir %{_sysconfdir}/pki/rpm-gpg
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Mambasoft
%{_sysconfdir}/profile.d/gpg-key-openmamba.sh
#%{_sysconfdir}/xprofile.d/gpg-key-openmamba.sh
%{_sysconfdir}/%{distroid}-release
%{_sysconfdir}/os-release
%{_usr}/lib/os-release
%{_sysconfdir}/system-release
%{_sysconfdir}/rpm/macros.openmamba_release
%{_sysconfdir}/sysconfig/release
%{_sysconfdir}/issue
%{_sysconfdir}/issue.net
%ifarch x86_64
%config(noreplace) %{_sysconfdir}/yum/repos.d/openmamba-rolling-i586.repo
%config(noreplace) %{_sysconfdir}/yum/repos.d/openmamba-rolling-unstable-i586.repo
%endif
%config(noreplace) %{_sysconfdir}/yum/repos.d/openmamba-rolling.repo
%config(noreplace) %{_sysconfdir}/yum/repos.d/openmamba-rolling-unstable.repo

%changelog
* Thu Aug 10 2023 Automatic Build System <autodist@mambasoft.it> 2023.8-1mamba
- update to 2023.8

* Thu Jan 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.1-1mamba
- update to 2023.1

* Thu Aug 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.8-1mamba
- update to 2022.8

* Sun Jul 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.7-1mamba
- update to 2022.7

* Sun Jun 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.6-1mamba
- update to 2022.6

* Sat May 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.5-1mamba
- update to 2022.5

* Thu Nov 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2021.11-2mamba
- don't replace any longer /etc/yum/repos.d repo files

* Fri Nov 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2021.11-1mamba
- update to 2021.11

* Sat Oct 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2021.10-1mamba
- update to 2021.10

* Sat Sep 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2021.9-1mamba
- update to 2021.9

* Sun Dec 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.12-1mamba
- update to 2020.12

* Sun Nov 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.11-2mamba
- added a posttrans script to clean broken alternatives

* Sat Nov 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.11-1mamba
- update to 2020.11

* Sun Nov 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.20201108-1mamba
- update to 4.20201108

* Sun Oct 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.95.0-3mamba
- os-release: update urls (e.g. http -> https)

* Sun Oct 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.95.0-2mamba
- dummy release update

* Sun Oct 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.95.0-1mamba
- update to 4.95.0

* Wed Jun 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.94.0-1mamba
- update to 4.94.0

* Wed Mar 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.93.0-1mamba
- update to 4.93.0

* Thu Jan 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.92.0-1mamba
- update to 4.92.0

* Sat Jan 19 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.91.0-1mamba
- update to 4.91.0

* Tue Dec 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.90.2-1mamba
- update to 4.90.2

* Sat Dec 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.90.1-1mamba
- update to 4.90.1

* Wed Sep 05 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.90.0-1mamba
- update to 4.90.0

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2-1mamba
- update to 4.0.2

* Sat Aug 26 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.1-1mamba
- update to 4.0.1

* Tue Apr 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Sun Sep 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.92.0-1mamba
- update to 3.92.0

* Sun Jul 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.91.0-1mamba
- update to 3.91.0

* Sat Mar 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.90.0-1mamba
- update to 3.90.0

* Fri Jan 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-1mamba
- update to 3.0.3

* Sun Dec 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2
- x86_64: change %ARCH% order to 'i586 x86_64' to prefer noarch packages from x86_64 repository

* Sun Sep 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- update to 3.0.1

* Tue Sep 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- update to 3.0

* Sat Mar 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.99.1-2mamba
- silence gpg --import in %post

* Sun Feb 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.99.1-1mamba
- update to 2.99.1

* Fri Dec 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.99.0-1mamba
- update to 2.99.0
- groups.db: arm: fix BASE_PKGS

* Sat Sep 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.96.0-2mamba
- openmamba-smart-devel.py: disable milestone3 repositories

* Thu Sep 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.96.0-1mamba
- update for milestone3

* Fri Aug 29 2014 Davide Madrisan <davide.madrisan@gmail.com> 2.95.0-4mamba
- os-release: update OPENMAMBA_GIT_URL
- provide the file /usr/lib/os-release and the symlink %{_sysconfdir}/os-release

* Thu Aug 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.95.0-3mamba
- groups.db: remove ntp which installed chrony (replaced by systemd)

* Wed Jun 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.95.0-2mamba
- remove old apt configuration files

* Wed Jun 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.95.0-1mamba
- update to 2.95.0
- groups.db: added icedtea-web-plugin to internet packages

* Sun Mar 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.90.0-7mamba
- groups.db: remove rekormydesktop and lives from default installed packages (see https://www.youtube.com/watch?v=LwjSNsX_ofU )

* Sun Feb 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.90.0-6mamba
- x86_64: configure repository for multiarch with i586 support

* Sat Jan 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.90.0-5mamba
- groups.db: remove kino from kde multimedia packages

* Mon Jan 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.90.0-4mamba
- groups.db: remove cinepaint from default graphics packages

* Mon Dec 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.90.0-3mamba
- remove kde4-sounds-addons (kde 4.12)

* Sun Dec 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.90.0-2mamba
- groups.db: remove xmame

* Sun Dec 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.90.0-1mamba
- update to 2.90.0
- set codename to rolling
- groups.db: remove moonlight

* Sun Sep 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.85.0-1mamba
- update to 2.85.0
- groups.db: remove syslog-ng from base packages; add VirtualBox-vboxguest; some other changes
- updte milestone2 smart channels configuration (added milestone2-kernel-next)

* Tue Sep 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-9mamba
- groups.db: packages names update for kde 4.11

* Sat Aug 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-8mamba
- groups.db: replace obsoleted sodipodi with inkscape

* Fri Jul 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-7mamba
- groups.db: -clementine -kaffeine -miro +freetuxtv (and more changes around multimedia)

* Wed Jun 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-6mamba
- smart: fix management of priorities for multiple packages selection
- pkggroups: office group: install kmymoney if kde, gnucash if gnome

* Sat Jun 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-5mamba
- pkggroups: removed gtans from games group

* Sun May 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-4mamba
- virtual-packages-select.py: don't fail if LANG is not set
- virtual-packages-select.py: also update list of i18n/l10n packages
- add OPENMAMBA_MILESTONE variable in /etc/os-release

* Thu May 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-3mamba
- pkggroups: replace totem-mozilla-plugin with kpartsplugin if kde

* Fri Mar 08 2013 Davide Madrisan <davide.madrisan@gmail.com> 2.80.0-2mamba
- openmamba-release: display all the distro informations when no options
  are specified instead of the help message
- os-release: make PRETTY_NAME consistent with /etc/openmamba-release
- os-release: provide some openmamba-specific variables
- openmamba-release: use /etc/os-release instead of parsing /etc/openmamba-release
- make openmamba-release dash compliant

* Wed Mar 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.80.0-1mamba
- update to 2.80.0
- groups.db: removed alsaplayer from base group

* Thu Feb 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.75.0-5mamba
- revision of package groups db

* Wed Jan 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.75.0-4mamba
- updated multi-version-select and virtual-packages-select for rt kernels
- give lower priority to kernel-*-sound-backport and kernel-*-wireless-backport

* Thu Nov 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.75.0-3mamba
- force configuring devel repository not to be used for automatic updates as manual

* Wed Nov 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.75.0-2mamba
- update devel repositories configuration: added devel-misc and devel-past
- set for manual updates devel repositories with deps broken like devel-future and devel-past

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.75.0-1mamba
- update to 2.75.0
- groups.db: updates for kernel 3.4 and internet group

* Mon Sep 10 2012 Davide Madrisan <davide.madrisan@gmail.com> 2.0.75-8mamba
- added /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Fri Jun 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.75-7mamba
- groups.db: update package names to kde 4.7.4 to avoid unwanted downgrade of packages from kde 4.6

* Sun Jun 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.75-6mamba
- openmamba-groups.db: remove libqt4 from base packages to avoid downgrade problems

* Mon Jun 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.75-5mamba
- distdb: remove rtl8192-se kernel driver

* Sun Apr 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.75-4mamba
- pkggroups.db: revision and cleanup of base packages

* Mon Mar 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.75-3mamba
- added smart configure once script

* Wed Mar 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.75-2mamba
- fixed to set for devel branch

* Wed Mar 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.75-1mamba
- update to 2.0.75

* Tue Feb 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.8.75-2mamba
- added minisport-firmware to base packages

* Sat Jan 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.8.75-1mamba
- update to 1.99.8.75
- openmamba-groups.db: replace mplayer-mozilla with totem-mozilla-plugin

* Mon Oct 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.7.75-2mamba
- remove xmms from multimedia group

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.7.75-1mamba
- update to 1.99.7.75

* Wed Oct 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.6.75-5mamba
- update openmamba-groups.db for libreoffice, chromium and other things

* Mon Oct 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.6.75-4mamba
- smart-virtual-packages-select: add libreoffice-i18n language priority configuration

* Sat Oct 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.6.75-3mamba
- smart-virtual-packages-select: set priorities for current running kernel packages

* Tue Sep 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.6.75-2mamba
- fixed for devel repository

* Sun Sep 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.6.75-1mamba
- update to 1.99.6.75

* Sun Sep 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.6-1mamba
- update to 1.99.6

* Mon Aug 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.5.75-1mamba
- update to 1.99.5.75
- groups.db: provide kde4 packages only if desktop-base-kde4 is installed

* Thu Aug 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.5.70-5mamba
- provide /etc/system-release as a copy of /etc/openmamba-release

* Mon Aug 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.5.70-4mamba
- added smart configuration for milestone2-xorg repository

* Mon Aug 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.5.70-3mamba
- set smart priorities for all repositories instead of just milestone2 and devel

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.5.70-2mamba
- added devel-gnome repository in smart configuration

* Sun Jun 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.5.70-1mamba
- update to 1.99.5.70
- groups.db: added kernel and kernel_64gb groups

* Tue Apr 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.4.90-7mamba
- remove openmamba-update (moved to system-base-openmamba)

* Mon Apr 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.4.90-6mamba
- added milestone2-kde4 repository configuration

* Sat Apr 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.4.90-5mamba
- smart-virtual-packages-select: set per-repository priority for localization packages or smart won't do the right selection

* Tue Mar 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.4.90-4mamba
- added milestone2-kernel repository

* Wed Mar 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.4.90-3mamba
- specify version in locked packages to allow upgrade

* Sat Mar 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.4.90-2mamba
- groups.db: removed kpackage

* Tue Mar 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.4.90-1mamba
- update to 1.99.4.90
- configure locks for: openmamba-release, rpm, smart

* Thu Mar 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-10mamba
- restore gpg key import for root in %post script

* Wed Feb 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-9mamba
- virtual-packages-select: modify to set priorities for all repositories and clean up previosly set priorities

* Tue Feb 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-8mamba
- virtual-packages-select: added preferences for network-manager-applet, phonon-backend-gstreamer, soprano-backend-virtuoso, dhcp-client and libphonon

* Sun Jan 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-7mamba
- provide correct script for virtual-packages-select

* Fri Jan 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-6mamba
- added smart virtual-packages-select.py script

* Fri Jan 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-5mamba
- add moonlight and libflashsupport to internet pkggroup

* Thu Jan 06 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-4mamba
- added openmamba-update tool

* Sat Dec 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-3mamba
- added smart configuration for multi-version kernel packages

* Fri Dec 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-2mamba
- gpg-key-openmamba.sh: make script more silent and add --ignore-time-conflict and --ignore-valid-from options

* Wed Dec 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.1-1mamba
- update to 1.99.1
- remove requirement for rpm; rpm keys are only set in user profile and xprofile scripts

* Fri Oct 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-3mamba
- group: ksudoku -> ksudoku4

* Tue Oct 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-2mamba
- updated openammba-groupsdb

* Sat Sep 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-1mamba
- update to 1.99
- added profile.d and xprofile.d scripts to generate openmamba signing keys in user GPG database

* Thu Sep 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98.91-1mamba
- update to 1.98.91
- groups.db: removed kappfinder from base group

* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98.90-5mamba
- groups.db: replace kvm with qemu in virtualization group

* Fri Aug 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98.90-4mamba
- obsolete extra repository packages; only provide apt sources files for devel and devel-games
- added devel-contrib to smart devel repositories list
- added signature fingerprint for all interally managed repositories

* Wed Jul 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98.90-3mamba
- groups.db: replace traceroute and ftp with inetutils
- groups.db: added more firmware packages in base list
- removed requirement for rpm and made the key installation script silently fail if rpm is missing

* Wed Jul 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98.90-2mamba
- support smart repositories files for non x86 archs

* Tue Jun 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98.90-1mamba
- update to 1.98.90
- post install script: use gpg to import RPM key (also added PreReq for gnupg)
- added repository milestone2-makedist
- added fingerprint to repositories
- create non default channels with disabled=yes setting

* Fri Jun 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-2mamba
- use python /etc/distro.d scripts to force enable/disable of stable and devel repositories

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-1mamba
- update to 1.98 (milestone2-pre2)

* Sat Apr 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97.900-3mamba
- added Mambasoft RPM GPG KEY for packages signature check

* Sat Apr 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97.900-2mamba
- fix system repositories configuration to allow user to enable and disable them

* Wed Feb 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97.1-1mamba
- update to 1.97.1

* Sat Feb 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97-1mamba
- update to 1.97 (milestone2-pre1)

* Wed Feb 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-5mamba
- games groups updated

* Thu Jan 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-4mamba
- added kdeplasma-addons to base packages

* Mon Jan 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-3mamba
- removed obsolete kdepim package from base group list

* Sun Jan 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-2mamba
- added repositories preconfiguration support for smartpm

* Tue Dec 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-1mamba
- update to 1.96
- pkggroups.db: added oxygen-icons-svg to base packages

* Tue Nov 24 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-7mamba
- pkggroups updated with new software

* Thu Nov 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-6mamba
- pkggroups.db: fixed syntax for use with makedist

* Tue Nov 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-5mamba
- move akonadi and kdepim4-akonadi to extras group

* Fri Nov 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-4mamba
- pkggroups.db: added akonadi and kdepim4-akonadi to office group

* Wed Nov 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-3mamba
- update install-virtual.lua to manage multiple kernel targets (tested with mamba and mamba-64GB)

* Thu Oct 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-2mamba
- added wine to base packages

* Wed Oct 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-1mamba
- update to 1.95
- pkggroups.db: some minor fixes

* Sat Aug 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.94-2mamba
- small fix to pkggroups db

* Tue Jul 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.94-1mamba
- update to 1.94

* Sat May 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.93-1mamba
- update to 1.93
- pkgroups.db: removed knemo

* Sun Apr 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.92-2mamba
- minor updates on pkggroups db

* Sat Mar 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.92-1mamba
- update to 1.92
- added requirements for openmamba-devel and openmamba-devel-games
- openmamba-groups: updated with kde 4.2 packages

* Sat Jan 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.91-3mamba
- install-virtual: replace alsa-driver with kernel-mamba-sound-backport as default selection for kernelsound

* Fri Jan 30 2009 Davide Madrisan <davide.madrisan@gmail.com> 1.91-2mamba
- updated macros.openmamba_release

* Tue Jan 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.91-1mamba
- update to 1.91
- added openmamba lua scripts for apt (moved from apt package)

* Tue Dec 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.90.0-1mamba
- update to 1.90.0 (fixed release field)
- openmamba-groups.db: added more requirement in devel list for GTK support
- openmamba-groups.db: replace kernel-mamba-source with kernel-mamba-headers

* Thu Dec 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.90-1mamba
- update to 1.90
- openmamba-groups.db: KDE3 replaced with KDE4 packages

* Tue Sep 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.90-3mamba
- remove milestone1 repository from apt sources

* Tue Sep 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.90-2mamba
- remove milestone1 repository from apt sources

* Thu Aug 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.90-1mamba
- update to 1.0.90

* Tue Jul 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-27mamba
- update to milestone1 1.0

* Tue Jun 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-26mamba
- update to 1.0pre7

* Tue May 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-25mamba
- update to 1.0pre5
- openmamba-groups.db updated
- openmamba-groups.db: removed references to localization packages, now 
  managed again by apt script

* Sun May 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-24mamba
- openmamba-groups.db update

* Mon May 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-23mamba
- groups.db updated

* Wed Apr 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-22mamba
- openmamba-groups.db: fixed libwxGTK references
- openmamba-groups.db: added EXTRA_PKGS group for installdvd

* Tue Apr 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-21mamba
- pkggroups.db: fix rt2501 package name

* Tue Apr 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-20mamba
- added wpa_supplicant and rt73-firmware to base installs

* Mon Mar 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-19mamba
- pkggroups.db: added installation of OpenOffice i18n package

* Sat Mar 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-18mamba
- update to milestone1 1.0pre4

* Sat Feb 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-17mamba
- update to 1.0pre3
- openmamba-groups.db: added nfs-utils to base packages
- openmamba-groups.db: added libSDL_image-devel, libSDL_mixer-devel and
                       libSDL_Pango-devel to devel packages

* Thu Feb 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-16mamba
- remove requirement for apt

* Wed Feb 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-15mamba
- openmamba-groups.db: added many packages to the devel group

* Sat Feb 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-14mamba
- update distribution release to 1.0pre2
- add base packages database pkggroups.db

* Mon Jan 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-13mamba
- update distribution release to 1.0pre1 (milestone1)
- make milestone1 repository the default source
- add devel subpackage

* Sun Dec 23 2007 Aleph0 <aleph0@openmamba.org> 1.0-12mamba
- add rpm macro macros.openmamba_release

* Wed Nov 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-11mamba
- add devel-games apt repository
- changed release to 1.0rc2 (Milestone I)

* Thu May 31 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-10mamba
- obsolete bootsplash

* Fri May 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-9mamba
- remove requirement for kernel-mamba
- upgrade to rc1

* Wed Apr 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-8mamba
- obsolete qilinux-utils-common and qilinux-utils-free

* Wed Mar 14 2007 Davide Madrisan <davide.madrisan@gmail.com> 1.0-7qilnx
- added openmamba-release.sh

* Wed Feb 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-6qilnx
- obsolete qist components

* Wed Feb 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-5qilnx
- obsolete openmamba-upgrade

* Sun Feb 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-4qilnx
- added devel-contrib subpackage

* Fri Feb 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-3qilnx
- obsolete mambaSoft-devel-sc
- add apt file for openmamba devel repository

* Wed Feb 14 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2qilnx
- rebuilt

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- first build for openMamba 1.0alpha1
